<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
 
	<!-- 
	Example ProShip Best-Way Group XSLT ranker
	This example ranks services to meet cheapest service delivered in two days.
	You can do quickest service by replacing the ...
		sort select='COMMON/TOTAL'
	... with ...
		sort select='PACKAGE/COMMITMENT_TIME'
	... and the two days comes in from the 433 commit time (steal it from 
	commitments.xml if you aren't sure)
	-->
 
	<xsl:template match='/'>
		<RESULTS>
			<xsl:for-each select='RESULTS/RESULT'>
			<!-- Select how to rank the results -->
			<xsl:sort select='COMMON/TOTAL' data-type='number'/>
			<xsl:choose>
				<!-- Set the values you will ACCEPT for a valid comparison-->
				<xsl:when test="COMMON/TOTAL &gt; 0  ">
					<xsl:copy><xsl:apply-templates select='*'/></xsl:copy>
				</xsl:when>
				<!-- Make sure you show system errors -->
				<xsl:when test="ERROR != ''">
					<xsl:element name = "RESULT">
					<xsl:element name = "ERROR"><xsl:value-of select="ERROR"/></xsl:element>
					<xsl:element name = "SERVICE"><xsl:value-of select="SERVICE"/>
					</xsl:element>
					</xsl:element>
				</xsl:when>
				<!-- A catch-all generic failure, usually used for ignorant engines -->
				<xsl:otherwise>
					<xsl:element name = "RESULT">
					<xsl:element name = "ERROR">Data returned disqualifies BW selection</xsl:element>
					<xsl:element name = "SERVICE"><xsl:value-of select="SERVICE"/>
					</xsl:element>
					</xsl:element>
				</xsl:otherwise>
 
			</xsl:choose>
			</xsl:for-each>
		</RESULTS>
	</xsl:template>
 
	<xsl:template match='*'><xsl:copy><xsl:apply-templates /></xsl:copy></xsl:template>
</xsl:stylesheet>