<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
 
<!-- First stage BW Group filter - re-writes the PSSO output to include preferential treatment for FedEx Express -->
 
	<xsl:template match='/'>
		<RESULTS>
			<xsl:for-each select='RESULTS/RESULT'>
			<!-- Select how to rank the results -->
			<xsl:sort select='ORDUR' data-type='number'/>
			<xsl:choose>
				<!-- Set the values you will ACCEPT for a valid comparison-->
				<xsl:when test="COMMON/TOTAL &gt; 0  ">
					<xsl:choose>
						<!-- When the carrier is UPS, make it cheaper to favor volume balance -->
						<xsl:when test="starts-with(SERVICE, 'PS_ALF.SCRIPTED_LGX.BWTI_UPS~') ">
							<RESULT>
								<COMMON>
									<BASE><xsl:value-of select="COMMON/BASE"/></BASE>
									<SPECIAL><xsl:value-of select="COMMON/SPECIAL"/></SPECIAL>
									<DISCOUNT><xsl:value-of select="COMMON/DISCOUNT"/></DISCOUNT>
									<TOTAL><xsl:value-of select="COMMON/TOTAL"/></TOTAL>
									<MOD_TOTAL><xsl:value-of select="COMMON/TOTAL * (1 - 0.6)"/></MOD_TOTAL>
								</COMMON>
								<PACKAGE>
									<COMMITMENT_TIME><xsl:value-of select="PACKAGE/COMMITMENT_TIME"/></COMMITMENT_TIME>
								</PACKAGE>
								<SERVICE><xsl:value-of select="SERVICE"/></SERVICE>
							</RESULT>
						</xsl:when>
						<xsl:otherwise>
							<!-- Everything else is as-is -->
							<RESULT>
								<COMMON>
									<BASE><xsl:value-of select="COMMON/BASE"/></BASE>
									<SPECIAL><xsl:value-of select="COMMON/SPECIAL"/></SPECIAL>
									<DISCOUNT><xsl:value-of select="COMMON/DISCOUNT"/></DISCOUNT>
									<TOTAL><xsl:value-of select="COMMON/TOTAL"/></TOTAL>
									<MOD_TOTAL><xsl:value-of select="COMMON/TOTAL * (1 - 0)"/></MOD_TOTAL>
									<FAVOR_UPS>False</FAVOR_UPS>
								</COMMON>
								<PACKAGE>
									<COMMITMENT_TIME><xsl:value-of select="PACKAGE/COMMITMENT_TIME"/></COMMITMENT_TIME>
								</PACKAGE>
								<SERVICE><xsl:value-of select="SERVICE"/></SERVICE>
							</RESULT>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<!-- Make sure you show system errors -->
				<xsl:when test="ERROR != ''">
					<xsl:element name = "RESULT">
					<xsl:element name = "ERROR"><xsl:value-of select="ERROR"/></xsl:element>
					<xsl:element name = "SERVICE"><xsl:value-of select="SERVICE"/>
					</xsl:element>
					</xsl:element>
				</xsl:when>
				<!-- A catch-all generic failure, usually used for ignorant engines -->
				<xsl:otherwise>
					<xsl:element name = "RESULT">
					<xsl:element name = "ERROR">TESTING TO see if anyone is reading</xsl:element>
					<xsl:element name = "SERVICE"><xsl:value-of select="SERVICE"/>
					</xsl:element>
					</xsl:element>
				</xsl:otherwise>
 
			</xsl:choose>
			</xsl:for-each>
		</RESULTS>
	</xsl:template>
 
	<xsl:template match='*'><xsl:copy><xsl:apply-templates /></xsl:copy></xsl:template>
</xsl:stylesheet>
